// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="understand_api_html";

var wwhtop = foldersTree;

var wwh36427=new Folder("Chapter 1 Using the C API to the Understand Database", "usingapi.htm#582316");
wwhtop.addChild(wwh36427);

wwh36427.addChild(new Item("Using the C API ", "usingapi.htm#691612"));
var wwh36431=new Folder("Using the Understand C API ", "usingap2.htm#692366");
wwh36427.addChild(wwh36431);

wwh36431.addChild(new Item("Licensing ", "usingap2.htm#737321"));
wwh36431.addChild(new Item("API Memory Allocation ", "usingap2.htm#700277"));
wwh36431.addChild(new Item("Other API Interfaces ", "usingap2.htm#700284"));
var wwh36439=new Folder("Getting Started with the C API ", "usingap3.htm#692367");
wwh36427.addChild(wwh36439);

wwh36439.addChild(new Item("Traversing the Understand Database ", "usingap3.htm#737331"));
wwh36439.addChild(new Item("API Include file ", "usingap3.htm#694414"));
wwh36439.addChild(new Item("Understand Licensing ", "usingap3.htm#737530"));
wwh36439.addChild(new Item("Opening and Closing the Database ", "usingap3.htm#740618"));
wwh36439.addChild(new Item("Get a List of Entities ", "usingap3.htm#740643"));
wwh36439.addChild(new Item("Get Information About an Entity ", "usingap3.htm#743480"));
wwh36439.addChild(new Item("Get Reference Information for an Entity ", "usingap3.htm#743482"));
wwh36439.addChild(new Item("About Library Support ", "usingap3.htm#766983"));
wwh36439.addChild(new Item("Compiling &amp; Linking with the API library ", "usingap3.htm#740615"));
var wwh36459=new Folder("Code Sample Using the C API ", "usingap4.htm#864870");
wwh36427.addChild(wwh36459);

wwh36459.addChild(new Item(" ", "usingap4.htm#864871"));
var wwh36463=new Folder("Chapter 2 C API Functions", "apiref.htm#582316");
wwhtop.addChild(wwh36463);

wwh36463.addChild(new Item("C API Functions ", "apiref.htm#691612"));
wwh36463.addChild(new Item("API Function Reference ", "apiref2.htm#743722"));
wwh36463.addChild(new Item("udbDbClose ", "apiref3.htm#714434"));
wwh36463.addChild(new Item("udbDbLanguage ", "apiref4.htm#588468"));
wwh36463.addChild(new Item("udbDbName ", "apiref5.htm#588506"));
wwh36463.addChild(new Item("udbDbOpen ", "apiref6.htm#588539"));
wwh36463.addChild(new Item("udbEntityDraw ", "apiref7.htm#779803"));
wwh36463.addChild(new Item("udbEntityId ", "apiref8.htm#588576"));
wwh36463.addChild(new Item("udbEntityKind ", "apiref9.htm#588613"));
wwh36463.addChild(new Item("udbEntityLanguage ", "apiref10.htm#691170"));
wwh36463.addChild(new Item("udbEntityLibrary ", "apiref11.htm#691309"));
wwh36463.addChild(new Item("udbEntityNameLong ", "apiref12.htm#691473"));
wwh36463.addChild(new Item("udbEntityNameShort ", "apiref13.htm#691551"));
wwh36463.addChild(new Item("udbEntityTypetext ", "apiref14.htm#692495"));
wwh36463.addChild(new Item("udbIsKind ", "apiref15.htm#692657"));
wwh36463.addChild(new Item("udbIsKindFile ", "apiref16.htm#693557"));
wwh36463.addChild(new Item("udbKindInverse ", "apiref17.htm#693620"));
wwh36463.addChild(new Item("udbKindList ", "apiref18.htm#693703"));
wwh36463.addChild(new Item("udbKindListCopy ", "apiref19.htm#693808"));
wwh36463.addChild(new Item("udbKindListFree ", "apiref20.htm#693887"));
wwh36463.addChild(new Item("udbKindLocate ", "apiref21.htm#693969"));
wwh36463.addChild(new Item("udbKindLongname ", "apiref22.htm#694069"));
wwh36463.addChild(new Item("udbKindParse ", "apiref23.htm#694165"));
wwh36463.addChild(new Item("udbKindShortname ", "apiref24.htm#694220"));
wwh36463.addChild(new Item("udbLibraryCheckEntity ", "apiref25.htm#694331"));
wwh36463.addChild(new Item("udbLibraryCompare ", "apiref26.htm#696006"));
wwh36463.addChild(new Item("udbLibraryFilterEntity ", "apiref27.htm#696097"));
wwh36463.addChild(new Item("udbLibraryList ", "apiref28.htm#696198"));
wwh36463.addChild(new Item("udbLibraryListFree ", "apiref29.htm#696306"));
wwh36463.addChild(new Item("udbLibraryName ", "apiref30.htm#696368"));
wwh36463.addChild(new Item("udbLicenseInfo ", "apiref31.htm#869416"));
wwh36463.addChild(new Item("udbListEntity ", "apiref32.htm#869527"));
wwh36463.addChild(new Item("udbListEntityFilter ", "apiref33.htm#696578"));
wwh36463.addChild(new Item("udbListEntityFree ", "apiref34.htm#696668"));
wwh36463.addChild(new Item("udbListFile ", "apiref35.htm#696732"));
wwh36463.addChild(new Item("udbListKindEntity ", "apiref36.htm#696884"));
wwh36463.addChild(new Item("udbListKindFree ", "apiref37.htm#696996"));
wwh36463.addChild(new Item("udbListKindReference ", "apiref38.htm#697106"));
wwh36463.addChild(new Item("udbListReference ", "apiref39.htm#697193"));
wwh36463.addChild(new Item("udbListReferenceFile ", "apiref40.htm#697265"));
wwh36463.addChild(new Item("udbListReferenceFilter ", "apiref41.htm#697333"));
wwh36463.addChild(new Item("udbListReferenceFree ", "apiref42.htm#697465"));
wwh36463.addChild(new Item("udbLookupEntityByReference ", "apiref43.htm#697540"));
wwh36463.addChild(new Item("udbLookupFile ", "apiref44.htm#771325"));
wwh36463.addChild(new Item("udbLookupReferenceExists ", "apiref45.htm#697747"));
wwh36463.addChild(new Item("udbMetricEntity ", "apiref46.htm#697867"));
wwh36463.addChild(new Item("udbMetricEntityIsDefined ", "apiref47.htm#698574"));
wwh36463.addChild(new Item("udbMetricIsRatio ", "apiref48.htm#698655"));
wwh36463.addChild(new Item("udbMetricProject ", "apiref49.htm#698745"));
wwh36463.addChild(new Item("udbReferenceColumn ", "apiref50.htm#699034"));
wwh36463.addChild(new Item("udbReferenceCopy ", "apiref51.htm#699107"));
wwh36463.addChild(new Item("udbReferenceCopyFree ", "apiref52.htm#699182"));
wwh36463.addChild(new Item("udbReferenceEntity ", "apiref53.htm#699251"));
wwh36463.addChild(new Item("udbReferenceFile ", "apiref54.htm#699333"));
wwh36463.addChild(new Item("udbReferenceKind ", "apiref55.htm#699402"));
wwh36463.addChild(new Item("udbReferenceLine ", "apiref56.htm#699468"));
wwh36463.addChild(new Item("udbReferenceScope ", "apiref57.htm#699538"));
wwh36463.addChild(new Item("udbSetLicense ", "apiref58.htm#699710"));
var wwh36581=new Folder("Appendix A Entity and Reference Kinds", "kindappe.htm#764528");
wwhtop.addChild(wwh36581);

wwh36581.addChild(new Item("Entity and Reference Kinds ", "kindappe.htm#764529"));
wwh36581.addChild(new Item("Kind Name Usage ", "kindapp2.htm#764571"));
var wwh36587=new Folder("Ada Entity Kinds ", "kindapp3.htm#764592");
wwh36581.addChild(wwh36587);

wwh36587.addChild(new Item("About \"Local\" Kinds ", "kindapp3.htm#777193"));
wwh36587.addChild(new Item("About Derived Types and SubTypes ", "kindapp3.htm#777654"));
wwh36587.addChild(new Item("Ada Component Kinds ", "kindapp3.htm#764594"));
wwh36587.addChild(new Item("Ada Constant Kinds ", "kindapp3.htm#764609"));
wwh36587.addChild(new Item("Ada Entry Kinds ", "kindapp3.htm#764628"));
wwh36587.addChild(new Item("Ada Enumeration Literal Kinds ", "kindapp3.htm#764643"));
wwh36587.addChild(new Item("Ada Exception Kinds ", "kindapp3.htm#764654"));
wwh36587.addChild(new Item("Ada File Kinds ", "kindapp3.htm#764669"));
wwh36587.addChild(new Item("Ada Function Kinds ", "kindapp3.htm#764680"));
wwh36587.addChild(new Item("Ada Object Kinds ", "kindapp3.htm#764711"));
wwh36587.addChild(new Item("Ada Package Kinds ", "kindapp3.htm#764746"));
wwh36587.addChild(new Item("Ada Parameter Kinds ", "kindapp3.htm#780313"));
wwh36587.addChild(new Item("Ada Procedure Kinds ", "kindapp3.htm#764780"));
wwh36587.addChild(new Item("Ada Protected Kinds ", "kindapp3.htm#764811"));
wwh36587.addChild(new Item("Ada Task Kinds ", "kindapp3.htm#781007"));
wwh36587.addChild(new Item("Ada Type Kinds ", "kindapp3.htm#781377"));
wwh36587.addChild(new Item("Ada Unknown Kinds ", "kindapp3.htm#764996"));
wwh36587.addChild(new Item("Ada Unresolved Kinds ", "kindapp3.htm#765007"));
var wwh36625=new Folder("Ada Reference Kinds ", "kindapp4.htm#765019");
wwh36581.addChild(wwh36625);

wwh36625.addChild(new Item("Ada Association and Associationby Kinds ", "kindapp4.htm#765021"));
wwh36625.addChild(new Item("Ada Call and Callby Kinds ", "kindapp4.htm#765032"));
wwh36625.addChild(new Item("Ada Child and Parent Kinds ", "kindapp4.htm#797397"));
wwh36625.addChild(new Item("Ada Declare and Declarein Kinds ", "kindapp4.htm#797171"));
wwh36625.addChild(new Item("Ada Derive and Derivefrom Kinds ", "kindapp4.htm#805594"));
wwh36625.addChild(new Item("Ada Dot and Dotby Kinds ", "kindapp4.htm#765104"));
wwh36625.addChild(new Item("Ada End and Endby Kinds ", "kindapp4.htm#765115"));
wwh36625.addChild(new Item("Ada Handle and Handleby Kinds ", "kindapp4.htm#765126"));
wwh36625.addChild(new Item("Ada Instance and Instanceof Kinds ", "kindapp4.htm#766080"));
wwh36625.addChild(new Item("Ada Raise and Raiseby Kinds ", "kindapp4.htm#766081"));
wwh36625.addChild(new Item("Ada Ref and Refby Kinds ", "kindapp4.htm#766086"));
wwh36625.addChild(new Item("Ada Rename and Renameby Kinds ", "kindapp4.htm#803865"));
wwh36625.addChild(new Item("Ada Root and Rootin Kinds ", "kindapp4.htm#766087"));
wwh36625.addChild(new Item("Ada Separatefrom and Separate Kinds ", "kindapp4.htm#804527"));
wwh36625.addChild(new Item("Ada Set and Setby Kinds ", "kindapp4.htm#804779"));
wwh36625.addChild(new Item("Ada Subtype and Ada Subtypefrom Kinds ", "kindapp4.htm#805967"));
wwh36625.addChild(new Item("Ada Typed and Typedby Kinds ", "kindapp4.htm#766111"));
wwh36625.addChild(new Item("Ada Use and Useby Kinds ", "kindapp4.htm#766112"));
wwh36625.addChild(new Item("Ada Usepackage and Usepackageby Kinds ", "kindapp4.htm#766113"));
wwh36625.addChild(new Item("Ada UseType and UseTypeby Kinds ", "kindapp4.htm#766114"));
wwh36625.addChild(new Item("Ada With and Withby Kinds ", "kindapp4.htm#766117"));
var wwh36669=new Folder(" C Entity Kinds ", "kindapp5.htm#765294");
wwh36581.addChild(wwh36669);

wwh36669.addChild(new Item("C Class Kinds ", "kindapp5.htm#768285"));
wwh36669.addChild(new Item("C Enum Kinds ", "kindapp5.htm#768286"));
wwh36669.addChild(new Item("C Enumerator Kinds ", "kindapp5.htm#768287"));
wwh36669.addChild(new Item("C File Kinds ", "kindapp5.htm#768288"));
wwh36669.addChild(new Item("C Function Kinds ", "kindapp5.htm#768289"));
wwh36669.addChild(new Item("C Macro Kinds ", "kindapp5.htm#768290"));
wwh36669.addChild(new Item("C Object Kinds ", "kindapp5.htm#768291"));
wwh36669.addChild(new Item("C Parameter Kinds ", "kindapp5.htm#774761"));
wwh36669.addChild(new Item("C Struct Kinds ", "kindapp5.htm#768293"));
wwh36669.addChild(new Item("C Typedef Kinds ", "kindapp5.htm#768297"));
wwh36669.addChild(new Item("C Union Kinds ", "kindapp5.htm#768298"));
var wwh36693=new Folder("C Reference Kinds ", "kindapp6.htm#765574");
wwh36581.addChild(wwh36693);

wwh36693.addChild(new Item("C Base and Derive Kinds ", "kindapp6.htm#769208"));
wwh36693.addChild(new Item("C Call and Callby Kinds ", "kindapp6.htm#769218"));
wwh36693.addChild(new Item("C Declare and Declarein Kinds ", "kindapp6.htm#769219"));
wwh36693.addChild(new Item("C Define and Definein Kinds ", "kindapp6.htm#769226"));
wwh36693.addChild(new Item("C Friend and Friendby Kinds ", "kindapp6.htm#769227"));
wwh36693.addChild(new Item("C Include and Includeby Kinds ", "kindapp6.htm#794967"));
wwh36693.addChild(new Item("C Modify and Modifyby Kinds ", "kindapp6.htm#769229"));
wwh36693.addChild(new Item("C Set and Setby Kinds ", "kindapp6.htm#769230"));
wwh36693.addChild(new Item("C Typed and Typedby Kinds ", "kindapp6.htm#769231"));
wwh36693.addChild(new Item("C Use and Useby Kinds ", "kindapp6.htm#769232"));
var wwh36715=new Folder("Fortran Entity Kinds ", "kindapp7.htm#765713");
wwh36581.addChild(wwh36715);

wwh36715.addChild(new Item("Fortran Block Data Kinds ", "kindapp7.htm#769760"));
wwh36715.addChild(new Item("Fortran Block Variable Kinds ", "kindapp7.htm#769761"));
wwh36715.addChild(new Item("Fortran Common Kinds ", "kindapp7.htm#769762"));
wwh36715.addChild(new Item("Fortran Datapool Kinds ", "kindapp7.htm#769763"));
wwh36715.addChild(new Item("Fortran Dummy Argument Kinds ", "kindapp7.htm#769764"));
wwh36715.addChild(new Item("Fortran Entity Kinds ", "kindapp7.htm#769765"));
wwh36715.addChild(new Item("Fortran File Kinds ", "kindapp7.htm#769766"));
wwh36715.addChild(new Item("Fortran Function Kinds ", "kindapp7.htm#769767"));
wwh36715.addChild(new Item("Fortran Interface Kinds ", "kindapp7.htm#769768"));
wwh36715.addChild(new Item("Fortran Pointer Block Kinds ", "kindapp7.htm#769769"));
wwh36715.addChild(new Item("Fortran Main Kinds ", "kindapp7.htm#769771"));
wwh36715.addChild(new Item("Fortran Module Kinds ", "kindapp7.htm#769780"));
wwh36715.addChild(new Item("Fortran Subroutine Kinds ", "kindapp7.htm#769781"));
wwh36715.addChild(new Item("Fortran Type Kinds ", "kindapp7.htm#769784"));
wwh36715.addChild(new Item("Fortran Unresolved Kinds ", "kindapp7.htm#769785"));
wwh36715.addChild(new Item("Fortran Variable Kinds ", "kindapp7.htm#769786"));
var wwh36749=new Folder("Fortran Reference Kinds ", "kindapp8.htm#765829");
wwh36581.addChild(wwh36749);

wwh36749.addChild(new Item("Fortran Call and Callby Kinds ", "kindapp8.htm#770549"));
wwh36749.addChild(new Item("Fortran Contain and Containin Kinds ", "kindapp8.htm#770551"));
wwh36749.addChild(new Item("Fortran Declare and Declarein Kinds ", "kindapp8.htm#770552"));
wwh36749.addChild(new Item("Fortran Define and Definein Kinds ", "kindapp8.htm#770553"));
wwh36749.addChild(new Item("Fortran End and Endby Kinds ", "kindapp8.htm#770554"));
wwh36749.addChild(new Item("Fortran Equivalence and Equivalenceby Kinds ", "kindapp8.htm#770555"));
wwh36749.addChild(new Item("Fortran Include and Includeby Kinds ", "kindapp8.htm#770556"));
wwh36749.addChild(new Item("Fortran InterfaceRef and InterfaceRefby Kinds ", "kindapp8.htm#770557"));
wwh36749.addChild(new Item("Fortran ModuleUse and ModuleUseby Kinds ", "kindapp8.htm#771798"));
wwh36749.addChild(new Item("Fortran ModuleUse Only and ModuleUseby Only Kinds ", "kindapp8.htm#771864"));
wwh36749.addChild(new Item("Fortran Ref and Refby Kinds ", "kindapp8.htm#770559"));
wwh36749.addChild(new Item("Fortran Set and Setby Kinds ", "kindapp8.htm#770560"));
wwh36749.addChild(new Item("Fortran Type and Typedby Kinds ", "kindapp8.htm#771088"));
wwh36749.addChild(new Item("Fotran Use and Useby Kinds ", "kindapp8.htm#770562"));
wwh36749.addChild(new Item(" Fortran UseModuleEntity and UseModuleEntityby Kinds ", "kindapp8.htm#766013"));
wwh36749.addChild(new Item("Fortran UseRenameEntity and UseRenameEntityby Kinds ", "kindapp8.htm#772015"));
var wwh36783=new Folder("Appendix B C API Code Samples", "samples.htm#764528");
wwhtop.addChild(wwh36783);

wwh36783.addChild(new Item("C API Code Samples ", "samples.htm#780643"));
wwh36783.addChild(new Item("Open Database and Get All Entities ", "samples2.htm#764571"));
wwh36783.addChild(new Item("Report All Entities ", "samples3.htm#775161"));
wwh36783.addChild(new Item("Report All Files ", "samples4.htm#775185"));
wwh36783.addChild(new Item("Report Cyclomatic Complexity of Functions ", "samples5.htm#775209"));
wwh36783.addChild(new Item("Report Functions with their Parameters and Types ", "samples6.htm#775233"));
wwh36783.addChild(new Item("Report Global Objects ", "samples7.htm#775257"));
wwh36783.addChild(new Item("Report Project Metrics ", "samples8.htm#776514"));
wwh36783.addChild(new Item("Report All Structs and their Member Types ", "samples9.htm#775086"));
wwh36783.addChild(new Item("Find all References To and From an Entity ", "sample10.htm#776908"));

